DynamicJava Javadoc: Class SwitchBlock

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class SwitchBlock

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.SwitchBlock

All Implemented Interfaces:
  ExpressionContainer

public class SwitchBlock
extends Node
implements ExpressionContainer

This class represents the switch expression-statement bindings

Field Summary
`static java.lang.String` | `STATEMENTS` The statements property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Fields inherited from interface koala.dynamicjava.tree.ExpressionContainer
`EXPRESSION`

Constructor Summary
`SwitchBlock(Expression exp, java.util.List stmts)` Creates a new binding
`SwitchBlock(Expression exp, java.util.List stmts, java.lang.String fn, int bl, int bc, int el, int ec)` Creates a new binding

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`Expression` | `getExpression()` Returns the 'case' expression
`java.util.List` | `getStatements()` Returns the statements
`void` | `setExpression(Expression e)` Sets the 'case' expression
`void` | `setStatements(java.util.List l)` Sets the statements

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATEMENTS

    public static final java.lang.String STATEMENTS

  The statements property name

Constructor Detail

### SwitchBlock

    public SwitchBlock(Expression exp,
                       java.util.List stmts)

  Creates a new binding

### SwitchBlock

    public SwitchBlock(Expression exp,
                       java.util.List stmts,
                       java.lang.String fn,
                       int bl,
                       int bc,
                       int el,
                       int ec)

  Creates a new binding
  Parameters:
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column

Method Detail

### getExpression

    public Expression getExpression()

  Returns the 'case' expression
  Specified by:
    `getExpression` in interface `ExpressionContainer`

### setExpression

    public void setExpression(Expression e)

  Sets the 'case' expression
  Specified by:
    `setExpression` in interface `ExpressionContainer`

### getStatements

    public java.util.List getStatements()

  Returns the statements

### setStatements

    public void setStatements(java.util.List l)

  Sets the statements

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.